import { style } from '@logicflow/extension/es/bpmn-elements/presets/icons';
import { colProps } from 'ant-design-vue/es/grid/Col';
import { display } from 'html2canvas/dist/types/css/property-descriptors/display';
import { result } from 'lodash-es';
import { l, s } from 'node_modules/vite/dist/node/types.d-aGj9QkWt';

export const Data: any[] = [
  {
    name: 'quark1',
    status: '1',
  },
  {
    name: 'quark2',
    status: '1',
  },
  {
    name: 'quark3',
    status: '1',
  },
  {
    name: 'quark4',
    status: '1',
  },
  {
    name: 'quark5',
    status: '0',
  },
];
export const DataRight: any[] = [
  {
    name: 'quark1',
    status: '1',
    result: '1',
    source: 'inceptor130.52',
    catalog: '-',
    database: 'client_system',
    table: 'client',
    field: 'company_no',
    qualityModal: '检查客户编号不为空',
    qualityRule: 'company_no检查',
    checkType: '规范性',
    ratio: '100%',
    dataEdit: '',
  },
  {
    name: 'quark2',
    status: '0',
    result: '1',
    source: 'inceptor130.52',
    catalog: '-',
    database: 'client_system',
    table: 'client',
    field: 'company_no',
    qualityModal: '检查客户编号不为空',
    qualityRule: 'company_no检查',
    checkType: '规范性',
    ratio: '100%',
    dataEdit: '',
  },
  {
    name: 'quark3',
    status: '1',
    result: '0',
    source: 'inceptor130.52',
    catalog: '-',
    database: 'client_system',
    table: 'client',
    field: 'company_no',
    qualityModal: '检查客户编号不为空',
    qualityRule: 'company_no检查',
    checkType: '规范性',
    ratio: '100%',
    dataEdit: '',
  },
  {
    name: 'quark4',
    status: '1',
    result: '1',
    source: 'inceptor130.52',
    catalog: '-',
    database: 'client_system',
    table: 'client',
    field: 'company_no',
    qualityModal: '检查客户编号不为空',
    qualityRule: 'company_no检查',
    checkType: '规范性',
    ratio: '100%',
    dataEdit: '',
  },
  {
    name: 'quark5',
    status: '0',
    result: '0',
    source: 'inceptor130.52',
    catalog: '-',
    database: 'client_system',
    table: 'client',
    field: 'company_no',
    qualityModal: '检查客户编号不为空',
    qualityRule: 'company_no检查',
    checkType: '规范性',
    ratio: '100%',
    dataEdit: '',
  },
];
export const searchFormSchema: any[] = [
  {
    field: 'name',
    component: 'Input',
    label: ' ',
    componentProps: {
      placeholder: '关键字搜索',
      style: { width: '100%' },
    },
  },
];
export const modEditData: any[] = [
  {
    name: 'quark1',
    type: 'mysql',
    filed: 'mysql://root:123456@127.0.0.1:3306/quark',
  },
  {
    name: 'quark2',
    type: 'mysql',
    filed: 'mysql://root:123456@127.0.0.1:3306/quark',
  },
  {
    name: 'quark3',
    type: 'mysql',
    filed: 'mysql://root:123456@127.0.0.1:3306/quark',
  },
];
export const detailHookData: any[] = [
  {
    name: 'Instance-001',
    code: 'Partition-10',
    remark: '用于处理日常任务',
    status: '1',
  },
  {
    name: 'Instance-002',
    code: 'Partition-15',
    remark: '仅供测试使用',
    status: '1',
  },
  {
    name: 'Instance-003',
    code: 'Partition-20',
    remark: '处理高优先级任务',
    status: '1',
  },
  {
    name: 'Instance-004',
    code: 'Partition-25',
    remark: '备用实例',
    status: '1',
  },
];
export const refundData = {
  type: 'NONE',
  name: 'catalog_hook_group_catalog12',
  code: '4',
  theme: 'CATALOG_HOOK',
};
export const KafkaData: any[] = [
  {
    PartitionNumber: '2',
    LastEndOffset: '404792',
    CurrentOffset: '404792',
    Lag: '0',
  },
  {
    PartitionNumber: '3',
    LastEndOffset: '3',
    CurrentOffset: '3',
    Lag: '0',
  },
  {
    PartitionNumber: '0',
    LastEndOffset: '55',
    CurrentOffset: '55',
    Lag: '0',
  },
  {
    PartitionNumber: '1',
    LastEndOffset: '5',
    CurrentOffset: '5',
    Lag: '0',
  },
];
export const formSchemaRight: any[] = [
  //后续将删掉placeholder内容 现仅作展示用途
  {
    field: 'taskName',
    component: 'Input',
    label: '质量任务名称',
    componentProps: {
      placeholder: '毕业生-mob',
      disabled: true,
      colProps: {
        lg: 24,
      },
    },
  },
  {
    field: 'createDate',
    component: 'Input',
    label: '开始时间',
    componentProps: {
      placeholder: '2023-08-16 14:30:00',
      disabled: true,
      colProps: {
        lg: 12,
        md: 12,
      },
    },
  },
  {
    field: 'endDate',
    component: 'Input',
    label: '结束时间',
    componentProps: {
      placeholder: '2023-08-17 14:30:00',
      disabled: true,
      colProps: {
        lg: 12,
        md: 12,
      },
    },
  },
  {
    field: 'processTime',
    component: 'Input',
    label: '耗时',
    componentProps: {
      placeholder: '4s 0ms',
      disabled: true,
      colProps: {
        lg: 12,
        md: 12,
      },
    },
  },
  {
    field: 'businessTag',
    component: 'Input',
    label: '业务标签',
    componentProps: {
      placeholder: '-',
      disabled: true,
      colProps: {
        lg: 12,
        md: 12,
      },
    },
  },
];
